Subject: bug#2145: 23.0.90; S-SPC should scroll up in view-only buffers

From: Juri Linkov <[email-masked]>
Date: Tue, 12 Feb 2013 19:42:40 +0200

>> S-SPC should scroll up in view-only buffers, such as info,
>> gnus messages and buffers in view-mode; currently it scrolls down.
>
> Sorry for the huge delay. This seemed like a good idea to me, so I did
> it in whichever relevant keymaps I could find.

To do the same for gnus messages is possible with:

(define-key gnus-summary-mode-map [?\S-\ ] 'gnus-summary-prev-page)
(define-key gnus-article-mode-map [?\S-\ ] 'gnus-article-goto-prev-page)

And this is also useful for images:

(define-key image-mode-map [?\S-\ ] 'image-scroll-down)
(define-key doc-view-mode-map [?\S-\ ] 'doc-view-scroll-down-or-previous-page)